data:extend(
{
    {
    type = "item",
    name = "leaf-cooker",
    icon = "__druglab__/graphics/icons/leaf-cooker-icon.png",
	flags = {"goes-to-quickbar"},
    subgroup = "drug-equipment",
    order = "f[leaf-cooker]",
    place_result = "leaf-cooker",
    stack_size = 10,
    },
	{
    type = "assembling-machine",
    name = "leaf-cooker",
    icon = "__druglab__/graphics/icons/leaf-cooker-icon.png",
	flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "leaf-cooker"},
	fast_replaceable_group = "leaf-cooker",
    max_health = 300,
	corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-2.4, -2.4}, {2.4, 2.4}},
    selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
    module_specification =
    {
      module_slots = 1
    },
    allowed_effects = {"consumption", "productivity", "pollution"},
    crafting_categories = {"drugs-et-to"},
    crafting_speed = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.33 / 3.5
    },
    energy_usage = "200kW",
    ingredient_count = 4,
	animation ={
	layers={
	{
        filename = "__druglab__/graphics/entity/leaf-cooker/leaf-cooker.png",
		priority = "extra-high",
        width = 224,
        height = 224,
        frame_count = 36,
		line_length = 6,
        shift = {0, 0},
		animation_speed = 0.5
	},
	}
	},
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__druglab__/sound/leaf-cooker.ogg" },
      apparent_volume = 2.5,
    },
	fluid_boxes =
    {
      {
        production_type = "input",
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -3} }}
      },
	  {
        production_type = "output",
        base_level = 1,
        pipe_connections = {{ position = {0, 3} }}
      },
    },
	pipe_covers = pipecoverspictures(),
    },
    
  }
  )